Skip to main content
`Ctrl`+`K`

# DMStagGetProductCoordinateArraysRead

extract product coordinate arrays, read-only

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagGetProductCoordinateArraysRead(DM dm, void *arrX, void *arrY, void *arrZ)

Logically Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameters

- arrX - local 1D coordinate arrays for `x` direction

- arrY - local 1D coordinate arrays for `y` direction, not set for one dimensional problems

- arrZ - local 1D coordinate arrays for `z` direction, not set for one and two dimensional problems

## Note

See `DMStagGetProductCoordinateArrays()` for more information.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMPRODUCT`, `DMStagGetProductCoordinateArrays()`, `DMStagSetUniformCoordinates()`, `DMStagSetUniformCoordinatesProduct()`, `DMStagGetProductCoordinateLocationSlot()`

## Level

intermediate

## Location

src/dm/impls/stag/stagutils.c

## Examples

src/dm/impls/stag/tutorials/ex2.c
src/dm/impls/stag/tutorials/ex4.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages